<?php
declare(strict_types=1);

namespace Simplyin\Simplyin_W_Plugin\Controller\Ajax\Widget;

use Simplyin\Simplyin_W_Plugin\Controller\Ajax\Abstract_Response;

class Submit_Email_Response extends Abstract_Response {

	protected string $html = '';

	protected bool $show_popup;
	protected bool $user_used_push_notifications;


    public function get_array(): array {
        return [
            'html'                      => $this->html,
            'show_popup'                => $this->show_popup,
            'userUsedPushNotifications' => $this->user_used_push_notifications,
        ];
    }

	public function get_html(): string {
		return $this->html;
	}

	public function set_html( string $html ): void {
		$this->html = $html;
	}

	public function is_show_popup(): bool {
		return $this->show_popup;
	}

	public function set_show_popup( bool $show_popup ): void {
		$this->show_popup = $show_popup;
	}

	public function is_user_used_push_notifications(): bool {
		return $this->user_used_push_notifications;
	}

	public function set_user_used_push_notifications(
		bool $user_used_push_notifications
	): void {
		$this->user_used_push_notifications = $user_used_push_notifications;
	}
}
